Summary: Small bourne shell from Berkeley
Name: ash
Version: 0.2
Release: 12
Copyright: BSD
Group: Shells
Source: sunsite.unc.edu:/pub/Linux/system/Shells/ash-linux-0.2.tar.gz
Patch: ftp://ftp.redhat.com/pub/ash-0.2-make.patch
Prereq: fileutils grep
Buildroot: /var/tmp/ash-root
Conflicts: mkinitrd <= 1.7
Summary(de): Kleine Bourne-Shell von Berkeley
Summary(fr): Shell Bourne rduit de Berkeley
Summary(tr): Ufak bir bourne kabuu

%description
ash is a bourne shell clone from Berkeley.  It supports all of the standard
Bourne shell commands and has the advantage of supporting them while 
remaining considerably smaller than bash. 

%description -l de
ash ist ein Bourne-Shell-Clone aus Berkeley, der alle Standard-Bourne-Shell-
Befehle untersttzt und dennoch erheblich weniger Platz beansprucht als bash. 

%description -l fr
ash est un clone Berkeley du shell Bourne. Il gre toutes les commandes
standard du shell Bourne et a l'avantage de les grer tout en restant
considrablement plus petit que bash.

%description -l tr
ash, Berkeley'in bir bourne kabuu kopyasdr. Standart bourne kabuu
komutlarnn tmn destekler ve bash kabuundan daha kk olma
avantajna sahiptir.

%prep
%setup -q -n ash-linux-0.2
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 
strip sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 755 sh $RPM_BUILD_ROOT/bin/ash
install -m 644 sh.1 $RPM_BUILD_ROOT/usr/man/man1/ash.1
ln -sf ash.1 $RPM_BUILD_ROOT/usr/man/man1/bsh.1
ln -sf ash $RPM_BUILD_ROOT/bin/bsh

rm -f sh
make STATIC=-static

install -m 755 sh $RPM_BUILD_ROOT/bin/ash.static

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ash" > /etc/shells
	echo "/bin/bsh" >> /etc/shells
else
	if ! grep '^/bin/ash$' /etc/shells > /dev/null; then
		echo "/bin/ash" >> /etc/shells
	fi
	if ! grep '^/bin/bsh$' /etc/shells > /dev/null; then
		echo "/bin/bsh" >> /etc/shells
	fi
fi

%postun

if [ "$0" = 0 ]; then
	grep -v '^/bin/ash' < /etc/shells | grep -v '^/bin/bsh' > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

for n in ash bsh; do
    echo -n "Looking for $n in /etc/shells... "
    if ! grep "^/bin/${n}\$" /etc/shells > /dev/null; then
	echo "missing"
	echo "${n} missing from /etc/shells" >&2
    else
	echo "found"
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/ash
/bin/ash.static
/bin/bsh
/usr/man/man1/ash.1
/usr/man/man1/bsh.1

%changelog
* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made /bin/ash built shared
- added ash.static
- uses a buildroot and %attr

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- statically linked

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- fixed preinstall script to >> /etc/shells for bsh.
